Bug Tracker – Full Text Bug Listing

Bug 874

Summary: QA issues (strict-aliasing)
Product: Odamex Reporter: Julian Ospald <hasufell>
Component: Server & ClientAssignee: Odamex Bug Reporter <odamex-bug-reporter>
Status: RESOLVED FIXED    
Severity: normal CC: Ch0wW, grandpachuck187
Priority: P1    
Version: (old) 0.6-dev   
Hardware: All   
OS: All   

Description Julian Ospald 2012-07-15 11:17:03 UTC
* QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:608:24: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:609:30: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:813:15: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:814:23: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:819:23: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:819:60: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:608:24: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:609:30: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:813:15: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:814:23: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:819:23: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/common/w_wad.cpp:819:60: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/server/src/r_things.cpp:249:28: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/server/src/r_things.cpp:333:33: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/server/src/r_things.cpp:393:44: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/server/src/r_things.cpp:396:34: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/server/src/r_things.cpp:408:28: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/client/src/r_things.cpp:292:28: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/client/src/r_things.cpp:376:33: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/client/src/r_things.cpp:436:44: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/client/src/r_things.cpp:439:34: warning: dereferencing type-punned pointer will break strict-aliasing rules
 * /var/tmp/portage/games-engines/odamex-0.6.1/work/odamex-src-0.6.1/client/src/r_things.cpp:451:28: warning: dereferencing type-punned pointer will break strict-aliasing rules
Comment 1 Dr. Sean 2013-01-12 19:29:57 UTC
We are working to eliminate strict-aliasing violations wherever possible. The warnings in w_wad.cpp have been eliminated and the warnings in r_things.cpp will be addressed when we address skin support in the near future.
Comment 2 Maƫllig Desmottes 2019-01-14 08:19:07 UTC
Any update on this ticket ?
Comment 3 Dr. Sean 2020-04-12 17:04:37 UTC
We've resolved the strict aliasing issues reported by g++ in 0.8.3. Marking fixed.